Name:           ocaml-ppx-pipebang
Version:        0.17.0
Release:        %autorelease
Summary:        PPX rewriter that inlines the reverse application operators

License:        MIT
URL:            https://github.com/janestreet/ppx_pipebang
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_pipebang-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
Ppx_pipebang is a PPX rewriter that inlines reverse application
operators `|>` and `|!`.  Ppx_pipebang rewrites `x |> f` and `x |! f` as
`f x`, regardless of whether `|>` and `|!` have been redefined.

Do not use `|!` in new code; it is there only for backwards
compatibility.

This inlining is mostly done for historical reasons but it also allows f
to have optional arguments (like `Option.value_exn`).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_pipebang-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
